package com.gic.finance.qo;

import com.gic.enterprise.qo.PageQO;

import java.io.Serializable;
/**
 * 发票管理列表查询参数
 * @ClassName: InvoiceManageListQueryQO 
 * @Description:  
 * @author guojuxing 
 * @date 2019/8/15 9:23 AM 
 */
public class InvoiceManageListQueryQO extends PageQO implements Serializable{
    private static final long serialVersionUID = 4126844399438333342L;

    /**
     * 输入流水号/商户名称/公司名称
     */
    private String search;
    /**
     * 发票状态
     */
    private Integer invoiceStatus;

    /**
     * 平台类型 1：GIC 2：好办
     */
    private Integer platformType;
    /**
     * 发票类型
     */
    private Integer invoiceType;

    private String startTime;

    private String endTime;

    private Integer enterpriseId;
    /**
     * 发票状态，因为计费中心的状态不是和财务这边完全一致
     */
    private String invoiceStatusStr;

    public String getInvoiceStatusStr() {
        return invoiceStatusStr;
    }

    public void setInvoiceStatusStr(String invoiceStatusStr) {
        this.invoiceStatusStr = invoiceStatusStr;
    }

    public Integer getEnterpriseId() {
        return enterpriseId;
    }

    public void setEnterpriseId(Integer enterpriseId) {
        this.enterpriseId = enterpriseId;
    }

    public String getStartTime() {
        return startTime;
    }

    public void setStartTime(String startTime) {
        this.startTime = startTime;
    }

    public String getEndTime() {
        return endTime;
    }

    public void setEndTime(String endTime) {
        this.endTime = endTime;
    }

    public String getSearch() {
        return search;
    }

    public void setSearch(String search) {
        this.search = search;
    }

    public Integer getInvoiceStatus() {
        return invoiceStatus;
    }

    public void setInvoiceStatus(Integer invoiceStatus) {
        this.invoiceStatus = invoiceStatus;
    }

    public Integer getPlatformType() {
        return platformType;
    }

    public void setPlatformType(Integer platformType) {
        this.platformType = platformType;
    }

    public Integer getInvoiceType() {
        return invoiceType;
    }

    public void setInvoiceType(Integer invoiceType) {
        this.invoiceType = invoiceType;
    }
}
